<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlChirpPhShiftPerTx_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlChirpPhShiftPerTx_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Dynamic per chirp phase shifter configuration for each TX.  
 <a href="structrl_chirp_ph_shift_per_tx__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:abf7acc3bc7c3f6ecc3bf15f5b2b1ce6b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abf7acc3bc7c3f6ecc3bf15f5b2b1ce6b"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chirp_ph_shift_per_tx__t.html#abf7acc3bc7c3f6ecc3bf15f5b2b1ce6b">chirpNTx0PhaseShifter</a></td></tr>
<tr class="memdesc:abf7acc3bc7c3f6ecc3bf15f5b2b1ce6b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nth Chirp TX0 phase shift value Bits TX0 phase shift definition b1:0 RESERVED (set it to 0b00) b7:2 TX0 phase shift value 1 LSB = 360/2^6 = 5.625 (degree) Valid range: 0 to 63. <br /></td></tr>
<tr class="separator:abf7acc3bc7c3f6ecc3bf15f5b2b1ce6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6be454c8fcb5f3ca9004f009f8a3c92a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6be454c8fcb5f3ca9004f009f8a3c92a"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chirp_ph_shift_per_tx__t.html#a6be454c8fcb5f3ca9004f009f8a3c92a">chirpNTx1PhaseShifter</a></td></tr>
<tr class="memdesc:a6be454c8fcb5f3ca9004f009f8a3c92a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nth Chirp TX1 phase shift value Bits TX1 phase shift definition b1:0 RESERVED (set it to 0b00) b7:2 TX1 phase shift value 1 LSB = 360/2^6 = 5.625 (degree) Valid range: 0 to 63. <br /></td></tr>
<tr class="separator:a6be454c8fcb5f3ca9004f009f8a3c92a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05496186c8a89410eb2da30a6f585666"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a05496186c8a89410eb2da30a6f585666"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chirp_ph_shift_per_tx__t.html#a05496186c8a89410eb2da30a6f585666">chirpNTx2PhaseShifter</a></td></tr>
<tr class="memdesc:a05496186c8a89410eb2da30a6f585666"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nth Chirp TX2 phase shift value <br />
 Bits TX2 phase shift definition <br />
 b1:0 RESERVED (set it to 0b00) <br />
 b7:2 TX2 phase shift value 1 LSB = 360/2^6 = 5.625 (degree) Valid range: 0 to 63. <br /></td></tr>
<tr class="separator:a05496186c8a89410eb2da30a6f585666"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Dynamic per chirp phase shifter configuration for each TX. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
